<h2>Introduction</h2><p>The site operator takes your right to privacy seriously, and wants you to feel comfortable using this site. This 'Privacy policy' covers personally-identifiable information (referred to as 'information' or 'data' below) that may be collected or acquired by this site. This policy does not apply to other entities that are not owned or controlled by the site operator, nor does it apply to persons that are not employees or agents of the site operator, or that are not under the site operator's control. Please take time to read this site's {legalinlinelink policyType='termsOfUse'}.</p>
<h2>1. Collection of data</h2><p>Registration for an account on this site requires only a valid e-mail address and a user name that is not already in use. You are not required to provide any other information if you do not want to.</p><p>Please be aware that the user name you choose, the e-mail address you provide and any other information you enter may render you personally identifiable, and may possibly be displayed on this site intentionally (depending on choices you make during the registration process, or depending on the way in which the site is configured) or unintentionally (subsequent to a successful act of intrusion by a third party).</p><p>As on many sites, the site operator may also automatically receive general information that is contained in server log files, such as your IP address, and cookie information, together with the additional information that can be deduced from those items (such as country, location, dates and times of visits, pages visited, etc.).</p><p>Server and site logs may be purged at regular time intervals, but past records may still exist in back-ups of the site data storage system or server file system.</p><p>By registering for a user account on this site, you agree that you accept the site operator's policy with regard to retention or non-retention of log records, and you agree that this policy may change at any time, with or without notice.</p><p>Please note that advertisements may also gather information via cookies. Information about the serving of advertising on this site (if it is indeed the site operator's policy to display advertising) is provided below.</p>
<h2>2. Use of data</h2><p>Data may be used to customise and improve your user experience on this site. Efforts will be made to prevent your data being made available to third parties, except in the following circumstances:</p><ol><li>if there is a provision to the contrary in this 'Privacy policy';</li><li>if your consent is obtained, such as when you choose to opt-in or opt-out for the sharing of data;</li><li>if a service provided on the site requires interaction with a third party, or is provided by a third party, such as an application service provider;</li><li>if an obligation arises from legal action or law enforcement;</li><li>if this site is purchased by a third party, in which case that third party will be able to use the data in the same manner as set out in this policy.</li></ol><p>In the event you choose to use links displayed on this site to visit other sites, you are advised to read the privacy policies published on those sites.</p>

<h2>3. Cookies</h2><p>Like many sites, this site sets and uses cookies to enhance your user experience - to remember your personal settings, for instance. The cookies set by this site are only used for technical purposes (storage of settings, access control, etc.). They are not used to gather other information about you, nor to provide information to other parties. The site's advertising providers, if any, do not have access to this site's cookies.</p><p>However, advertisements may be displayed on the site and, if so, may also set and access cookies on your computer; such cookies are subject to the privacy policies of the parties providing the advertisement. Cookies set by outside advertising providers often use non-personally-identifiable or anonymous codes to obtain information about your visits to a site that displays their advertising, in order to tailor the advertising you see. This practice is known as 'behavioural advertising'. <!-- **NOTE: that this last statement should be true but should be modified if necessary -->You can usefully visit the <a href="http://www.networkadvertising.org/optout_nonppii.asp">Network Advertising Initiative</a> site if you want to find out more information about behavioural advertising, and to learn about your options in this respect.</p><p>By using this site and by allowing your browser software to accept cookies, you grant the site operator permission to use the data contained in the cookies generated by the site for the purpose of managing your sessions on the site, and for enhancing the ergonomics of your visits.</p><p>Note that most browsers provide the possibility of disabling cookies. While you are free to make this choice, you may find your usage of the site to be slightly impaired, although the site will remain functionally useable.</p>

<h2>4. JavaScript</h2><p>Like many sites, this site employs JavaScript to enhance your user experience - to provide dynamic content, for example, that adapts and reacts to your choices and actions. The JavaScript scripts used on this site are only intended for such technical purposes. They are not designed to gather information about you for any other purposes, nor to permanently affect or make changes to your browser or system.</p><p>By using this site and enabling your browser software to accept JavaScript, you grant the site operator permission to use JavaScript technology (Ajax) for managing your sessions on the site, and for enhancing the ergonomics of your visits.</p><p>Note that most browsers provide the option of disabling JavaScript in Web pages. While you are free to make this choice, the ergonomics or behaviour of some pages may be slightly degraded, although most or all pages are designed to provide a fully useable alternative in the absence of JavaScript.</p>

<h2>5. Advertising</h2><p>By registering for a user account on this site, you agree that you accept the site operator's policy with regard to advertising and whether or not advertising is served on the site, and you agree that this policy may change at any time, with or without notice.</p><p>However, if you see content on this site that you feel is offensive or inappropriate, please <a href="mailto:{$modvars.ZConfig.adminmail}">e-mail the site administrator</a>.</p>

<h2>6. Minors</h2><p>The site operator might not allow people to register for a user account on the site if they are below a certain age. For more information, please read the information displayed during the account registration process, or <a href="mailto:{$modvars.ZConfig.adminmail}">e-mail the site administrator</a>.<!-- **NOTE: Feel free to provide other information --></p>

<h2>7. Editing or deleting your personal information</h2><p>During the user account registration process, you are invited to enter personal information. After logging into the site, you have the possibility at any time of amending or deleting your personal information. You can do this by visiting {usergetvar name="uid" assign=uid}{if $modvars.ZConfig.profilemodule eq ""}your user account panel{elseif $uid eq ""}<a href="{modurl modname=$modvars.ZConfig.profilemodule type="user"}">your user account panel</a>{else}<a href="{modurl modname=$modvars.ZConfig.profilemodule type="user" func="view"}">your user account panel</a>{/if}, which can provide means for managing many aspects of your membership of this site.</p>
<h2>8. User account closure and deletion</h2>
<h3>8.1. Account deletion at your request</h3>
<p>You can request that your user account be deleted: a facility for 'self-service' account deletion may be provided in your account panel; if not, please <a href="mailto:{$modvars.ZConfig.adminmail}">e-mail the site administrator</a> to request a manual user account deletion.</p><!-- **NOTE: Note the following may be suggested for your jurisdiction, and there is no harm in including it - begin --><p>After an account deletion, all personal information items contained in your user account profile will have been deleted from the site's data storage system, and from the server's file system. Even so, that information will still be held in any back-up taken from the site's data storage system or the server's file system.</p><p>In addition, content or other data that you may have provided, and that do not fall within the scope of personal information items stored within your user account profile, may remain on the site even after your user account is deleted. Possible examples of this are articles and other content published in the site's pages, comments you have added to articles, and messages you have posted in forums (if such exist on the site). Your user name may continue to be associated with these items as attribution. However, any information that would previously have been displayable by another user by viewing your account profile will no longer be available. </p><p>Also, if the site has a private messaging system, all messages that were previously stored in your private messaging mailbox will have been deleted. However, deletion of your account does not include deletion of messages from you that have been received by other registered users of the site.</p><p>You should remember that deletion of a user account on this site will not include deletion of information held by providers of outside services availed via this site.</p><p>Furthermore, deletion of your account on this site will not include deletion of information that might have been stored in server logs and site logs about your visits to this site (IP address, times and dates, pages visited, etc.). The extent and lifetime of information stored in logs depends on the policies of the site operator and server operator.</p>
<h3>8.2. Account closure and deletion by the site operator</h3>
<p>For the purpose of this 'Privacy policy', the term 'account closure' means interdiction of your further access to your user account. The term 'account deletion' means deletion of your user account and personal information from the site data storage system.</p><p>Your user account may be closed if it is found that your use of this site violates the site operator's {legalinlinelink policyType='termsOfUse'} or other applicable usage guidelines, or if it is deemed desirable by the site operator to protect the site operator's interests and/or property.</p><p>A closed account will normally be deleted, provided no illicit or illegal usage of that account is suspected. However, by using this site, you agree that the site operator has sole discretion in account closure and deletion decisions, without incurring any liability towards you.</p><p>In addition, you should be aware that the site operator can be legally compelled not to delete your user account by local or national authorities, if suspected illegal or illicit usage is involved.</p>

<p>Please see the site's {legalinlinelink policyType='termsOfUse'} for more information, or <a href="mailto:{$modvars.ZConfig.adminmail}">e-mail the site administrator</a>.</p>

<h2>9. Changes to this privacy policy</h2><p>Changes may be made to this 'Privacy policy' from time to time. You should be notified of noteworthy changes by one or more of the following means:</p><ol><li>the posting of an announcement on the site;</li><li>a requirement to read and accept the new 'Privacy policy' before you can log into the site;</li><li>an e-mail message sent to the e-mail address you provide as part of your user account information.</li></ol><p>Nothwithstanding, failure to post notification of changes to the site's 'Privacy policy' will in no way invalidate the application of the new clauses of the 'Privacy policy', which you are recommended to re-read regularly.</p>

<h2>10. NO GUARANTEES</h2><p>This 'Privacy policy' states intentions for preservation of information. However, while efforts will be made to fulfill the said intentions, the site operator is not in a position to guarantee non-disclosure of information. There may be factors beyond the site operator's control that may result in disclosure of information. Consequently, although the site operator will endeavour to protect your personal information, no warranties are given as regards the preservation or non-disclosure of information or data.</p>

<h2>11. Contact information</h2><p>If you have any questions or comments about this 'Privacy policy' or about this site, please feel free to <a href="mailto:{$modvars.ZConfig.adminmail}">e-mail the site administrator</a>.</p>
